# Configurazione database
$config = @{
    # Credenziali database
    DbUser = "F701264"
    DbPassword = "contrsei"
    # DbHostOutput = "DATABASE_PDC_LOCALE"
    # DbHostOutput = "testbes.armundia.com"
    DbHostInput = "bfdskrepsei01c.sysfideuram.sysbancafideuram.it"
    DbHostOutput = "testbes.armundia.com"
    DbName = "C6StampeCentralizzate"

    # Directory di log
    LogDir = Join-Path $PSScriptRoot "..\logs"
}

# Esporta le variabili come variabili d'ambiente
$env:dbUser = $config.DbUser
$env:dbPassword = $config.DbPassword
$env:dbHostInput = $config.DbHostInput
$env:dbHostOutput = $config.DbHostOutput
$env:dbName = $config.DbName
$env:logDir = $config.LogDir

# Funzione per ottenere la connection string
function Get-DatabaseConnectionString {
    return "Server=$($config.DbHostOutput);Database=$($config.DbName);User Id=$($config.DbUser);Password=$($config.DbPassword);"
}

# Crea directory di log se non esiste
if (-not (Test-Path $config.LogDir)) {
    New-Item -ItemType Directory -Path $config.LogDir | Out-Null
}

# La configurazione sarà disponibile quando lo script viene dot-sourced
